shishi_ap_req_process_keyusage(3)

NAME
shishi_ap_req_process_keyusage - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_req_process_keyusage(Shishi_ap * ap, Shishi_key * key, int32_t keyusage);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

Shishi_key * key
    cryptographic key used to decrypt ticket in AP-REQ.

int32_t keyusage
    key usage to use during decryption, for normal AP-REQ's this is normally SHISHI_KEYUSAGE_APREQ_AUTHENTICATOR, for AP-REQ's part of TGS-REQ's, this is normally SHISHI_KEYUSAGE_TGSREQ_APREQ_AUTHENTICATOR.

DESCRIPTION
Decrypt ticket in AP-REQ using supplied key and decrypt Authenticator in AP-REQ using key in decrypted ticket, and on success set the Ticket and Authenticator fields in the AP exchange.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.